Skip to main content
POST
/
v1
/
users
/
{userId}
/
transactions
curl --request POST \
  --url https://api.cadanapay.com/v1/users/{userId}/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "payout",
  "beneficiaryId": "c871b333-e129-409c-aabd-7cfb55a967cc",
  "quoteId": "d35d2bd6-188b-4e82-9a16-71442dad7375",
  "amount": {
    "value": "500.00",
    "currency": "PHP"
  },
  "sourceCurrency": "USD",
  "reference": "3f70be8e-426f-4e89-b883-9c97a1c334d5"
}
'
{
  "id": "d0137ede-7df1-4a54-8206-b3ab7b03876f"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Body

application/json
type
enum<string>
required

The type of transaction

Available options:
payout,
savings_funding
Example:

"payout"

beneficiaryId
string<uuid>
required
Example:

"c871b333-e129-409c-aabd-7cfb55a967cc"

quoteId
string<uuid>
required

The unique identifier for the fx quote

Example:

"d35d2bd6-188b-4e82-9a16-71442dad7375"

amount
object
required

The destination amount (required if sourceAmount is not provided). When using this field, sourceCurrency is also required.

sourceCurrency
string
required

The source currency code. Required when using the amount field (destination amount).

Example:

"USD"

reference
string<uuid>
required

The client reference for the transaction

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

sourceAmount
object

The source amount (required if amount is not provided). The currency in this amount object represents the source currency.

Response

Transaction created response

id
string<uuid>
Example:

"d0137ede-7df1-4a54-8206-b3ab7b03876f"